ZARAFA-BACKUP-PLUS(5)

NAME
zarafa-backup-plus.cfg - The Zarafa Backup Plus configuration file

SYNOPSIS

backup-plus.cfg

DESCRIPTION

backup-plus.cfg is a configuration file for the Zarafa Backup Plus service.

FILE FORMAT

The file consists of one big section, but parameters can be grouped by functionality.

The parameters are written in the form:

name = value

The file is line-based. Each newline-terminated line represents either a comment, nothing, a parameter or a directive. A line beginning with `#' is considered a comment, and will be ignored by Zarafa. Parameter names are case sensitive. Lines beginning with `!' are directives.

Directives are written in the form:

!directive [argument(s)]

The following directives exist:

include
    Include and process argument

    Example: !include common.cfg

EXPLANATION OF THE SERVER SETTINGS PARAMETERS

server_socket
    Socket to find the connection to the Zarafa server.

    Default: file:///var/run/zarafad/server.sock

ssl_key_file
    The file containing the private key and certificate. Please read the SSL section in the zarafa-server(8) manual on how to create this file.

    Default: /etc/zarafa/ssl/search.pem

ssl_key_pass
    Enter your password here when your key file contains a password to be readable.

    No default set.

EXPLANATION OF THE LOG SETTINGS PARAMETERS

log_method
    The method which should be used for logging. Valid values are:

    syslog
        Use the Linux system log. All messages will be written to the mail facility. See also syslog.conf(5).

    file
        Log to a file. The filename will be specified in log_file.

    Default: file

log_level
    The level of output for logging in the range from 0 to 5. 0 means no logging, 5 means full logging.

    Default: 3

log_file
    When logging to a file, specify the filename in this parameter. Use - (minus sign) for stderr output.

    Default: /var/log/zarafa/backup-plus.log

EXPLANATION OF THE BACKUP SETTINGS PARAMETERS

worker_processes
    Maximum number of stores to backup in parallel

    Default: 1

AUTHOR

Written by Zarafa.

SEE ALSO

zarafa-backup-plus(8)